package HT.fx;

import java.io.OutputStream;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.CheckBox;
import javafx.scene.control.TextField;
import javafx.scene.input.MouseEvent;
import javafx.stage.Stage;
import HT.fx.Pelaaja;
import HT.fx.Pelaajat;
import HT.fx.Karkelot;
import HT.fx.SailoException;


/**
 * @author joonatan
 * @version 31.1.2024
 *
 */
public class PadelMainGUIController {
    
    @FXML private TextField testi;
    
    @FXML
    private CheckBox auto1;

    @FXML
    private TextField ika1;

    @FXML
    private TextField sapo1;
    
     @FXML void handleLisaamuokkaaottelu() {
         // Kun koodissa tarvitsee tulostaa jokin viesti:
         LisaaOttelu(null, "kanat");
        //avaaOtteluikkuna();
    }

    @FXML void handleLisaapelaaja() {
        LisaaPelaaja(null, "kanat");
        //LisaaPelaaja();
        Syotatiedot();
        
        
        
    }
    
    
    



    //=======================
     
    /**
     * karkelon oma karkelo johon tallennetaan pelaajat ja ottelut.
     */
    private static Karkelot karkelo;
    
    public static String LisaaPelaaja(Stage modalityStage, String oletus) {
        return ModalController.showModal(
                LisaaPelaajaGUIController.class.getResource("LisaaPelaajaGUIView.fxml"),
                "Lisää pelaaja", modalityStage, oletus);
    }
    
    public static String LisaaOttelu(Stage modalityStage, String oletus) {
        return ModalController.showModal(
                OtteluIkkunaGUIController.class.getResource("OtteluIkkunaGUIView.fxml"),
                "Lisää pelaaja", modalityStage, oletus);
    }
    
    private void Syotatiedot() {
       // Pelaaja pelaaja = karkelo.annaPelaaja(0);
        
        testi.setText(karkelo.annaPelaaja(0).getNimi());
        ika1.setText(String.valueOf(karkelo.annaPelaaja(0).getIka()));
        sapo1.setText(karkelo.annaPelaaja(0).getSahkoposti());
        auto1.setSelected(karkelo.annaPelaaja(0).getAuto());
        
        
    }
    
    /**
     * @param karkelo karkelo jota käytetään tässä käyttöliittymässä
     */
    public void setKarkelo(Karkelot karkelo) {
        PadelMainGUIController.karkelo = karkelo;
        //naytaJasen();
    }


    
    private void LisaaPelaaja() {
        Pelaaja uusi = new Pelaaja();
        uusi.rekisteroi();
        uusi.vastaaAkuAnkka();
        try {
            karkelo.lisaa(uusi);
        } catch (SailoException e) {
            Dialogs.showMessageDialog("Ongelmia uuden luomisessa " + e.getMessage());
            return;
        }
        
        //hae(uusi.getTunnusNro());

    }
    
    public static void LisaaPelaaja(Pelaaja uusi) {
        
        uusi.rekisteroi();
        //uusi.vastaaAkuAnkka();
        try {
            karkelo.lisaa(uusi);
        } catch (SailoException e) {
            Dialogs.showMessageDialog("Ongelmia uuden luomisessa " + e.getMessage());
            return;
        }
        
        //hae(uusi.getTunnusNro());

    }
    
    private void avaaOtteluikkuna() {
        //ei tarvita
    }


}