package HT.fx;

import java.io.*;


/**
 * @author joonatan, thmustap
 * @version 7.3.2024
 *
 */
public class Ottelu {
    private int idNro;
    private int pelaajaNro1;
    private int pelaajaNro2;
    private int pelaajaNro3;
    private int pelaajaNro4;
    private int voittajaNro1;
    private int voittajaNro2;
    private static int seuraavaNro = 1;
    
    public Ottelu() {
        //Ei vielä mitään.
    }
    
    //public Ottelu(int )
    
    /**
     * Tulostetaan ottelun tiedot
     * @param out tietovirta johon tulostetaan
     */
    public void tulosta(PrintStream out) {
        System.out.println("joo");
    }
    
    /**
     * Tulostetaan pelaajan tiedot
     * @param os tietovirta johon tulostetaan
     */
    public void tulosta(OutputStream os) {
        tulosta(new PrintStream(os));
    }
    
    /**
     * Antaa ottelulle seuraavan tunnusnumeron
     * @return uusi tunnusnumero
     * @example
     * <pre name="test">
     * Ottelu ottelu1 = new Ottelu();
     * Ottelu ottelu2 = new Ottelu();
     * ottelu1.rekisteroi();
     * ottelu2.rekisteroi();
     * int n1 = ottelu1.getIdNro();
     * int n2 = ottelu2.getIdNro();
     * n1 === n2-n1;
     * </pre>
     */
    public int rekisteroi() {
        idNro = seuraavaNro;
        seuraavaNro++;
        return idNro;
    }
    
    /**
     * Palautetaan ottelun id
     * @return ottelun id
     */
    public int getIdNro() {
        return idNro;
    }
    
    /**
     * Palautetaan ensimmäisen osallistujan numero
     * @return pelaajan id
     */
    public int getPelaajaNro1() {
        return pelaajaNro1;
    }
    
    /**
     * Palautetaan toisen osallistujan numero
     * @return pelaajan id
     */
    public int getPelaajaNro2() {
        return pelaajaNro2;
    }
    
    /**
     * Palautetaan kolmannen osallistujan numero
     * @return pelaajan id
     */
    public int getPelaajaNro3() {
        return pelaajaNro3;
    }
    
    /**
     * Palautetaan neljännen osallistujan numero
     * @return pelaajan id
     */
    public int getPelaajaNro4() {
        return pelaajaNro4;
    }
    
    /**
     * Palautetaan ensimmäisen voittajan numero
     * @return pelaajan id
     */
    public int getVoittajaNro1() {
        return voittajaNro1;
    }
    
    /**
     * Palautetaan toisen voittajan numero
     * @return pelaajan id
     */
    public int getVoittajaNro2() {
        return voittajaNro2;
    }

    public int getTunnusNro() {
       
        return idNro;
    }
}